## 模板制作
通过模板标签调用来自由制作**花里胡哨**的模板。

### 制作流程

后台 菜单 —> CMS  —> 主题模板 —>  + 号 —> 输入模板标识 —> 创建

### 目录说明

1. 模板资源(css,js,img)目录：`public/static/themes/[模板标识]`
2. 模板文件(html)目录：`template/[模板标识]`

###  文件说明

```php
_footer.html		// 公共底部
_header.html		// 公共头部
_sidebar.html		// 侧边栏
404.html           // 404页面
about.html         // 单页模板
index.html			// 首页
message.html		// 留言
news.html			// 文章列表
news_detail.html	// 文章详情
product.html		// 产品列有
product_detail.html // 产品详情
service.html		// 服务页面
```

### 通用标签

```html
<link href="__STATIC__/themes/__THEME__/css/style.css" rel="stylesheet">
<script src="__STATIC__/themes/__THEME__/js/js.js"></script>
链接生成：{:url('index/index')}
配置调用：
{$site.site_logo}
{$site.site_name}
```

### 栏目数据

```php
{$cats.seo_title}	// SEO标题
{$cats.seo_kw}		// SEO关键字
{$cats.seo_desc}	// SEO描述
```

### 导航菜单

```php
{php $menu=widget('common.menu')->get()}
<ul>
	<li {:nav_active('index')}><a href="{:url('index/index')}">首页</a></li>
	{foreach $menu as $nav}
	<li {:nav_active($nav['sign'])}><a href="{$nav.href}" target="{$nav.target}">{$nav.title}</a></li>
	{/foreach}
</ul>
```

---

本文档由 [AphpDoc](https://doc.aphp.top) 生成，更新于：2025-04-09 12:37:11